Bug 1796716 - Verify upgrade preserves reachability of service load balancers and APIs from outside
Summary: Verify upgrade preserves reachability of service load balancers and APIs from...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Clayton Coleman
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1796715
Blocks: 1796717
TreeView+ depends on / blocked
 
Reported: 2020-01-31 03:26 UTC by Clayton Coleman
Modified: 2020-02-25 06:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1796715
: 1796717 (view as bug list)
Environment:
Last Closed: 2020-02-25 06:18:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24479 None closed Bug 1796716: Verify services and API are available during upgrade 2020-02-27 15:04:32 UTC
Red Hat Product Errata RHBA-2020:0528 None None None 2020-02-25 06:18:18 UTC

Description Clayton Coleman 2020-01-31 03:26:45 UTC
+++ This bug was initially created as a clone of Bug #1796715 +++

The upgrade test was running a service load balancer verification that ensured upgrades preserved reachability, but it provided insufficient alerting and debug to narrow down upgrade failures and assign probable cause.  In addition, the test failed to verify reuse of connections vs newly created connections. Finally, we don't explicitly measure API reachability during upgrade.

Add an e2e test for upgrade that verifies all of these conditions and backport it to 4.2 to ensure we are sufficiently certain about the guarantees we provide to end users.

Comment 2 Hongan Li 2020-02-17 03:20:12 UTC
checked the latest 4.3 upgrade CI job and the testing code is working.

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade-4.2-nightly-to-4.3-nightly/94

Comment 4 errata-xmlrpc 2020-02-25 06:18:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0528


Note You need to log in before you can comment on or make changes to this bug.